<?php

namespace Modules\Additional\Specifique\Client155\Modules\Consultation\MenuContextuel;

use Helpers\Trad\ITrad;
use Skeleton\Router;
use Modules\GlobalApplication\Repository\DocumentsRattaches;
use Helpers\Trad\Trad;

class GestionMenuContextuelSpecifique
{
    /**
     *
     * @param \PDO $pdo
     * @param Itrad $trad
     * @param array<mixed> $consultation
     * @return array<mixed>
     */
    public static function gestionMenuContextuelSpecifique($pdo, Router $router, $trad, $consultation)
    {
        
        $linkPopupInformation = $router->generateUri('Ajax.Erreur.popupInformation');

        $pathAjaxPopup = $router->generateUri('Specifique155.consolidation.consoliderPopup', [
            'id' => $consultation['NO_AO']
        ]);
        
        
        $popupTitle = "{$trad->t('Consultation')} {$consultation['NO_AO']} : {$trad->t('Consolider les grilles')}";
        
        // On veut savoir si une grille consolidée existe déjà pour cette consultation
        $docAtt = new DocumentsRattaches($pdo);
        $listes = $docAtt->detail(str_pad($consultation['NO_AO'], 9, '0', STR_PAD_LEFT), [
            'NO_DA' => 'AO_ENTET',
            'filter_TITRE' => mb_strtoupper("Grille consolidée", "UTF-8")
        ]);
        
        if (count($listes) > 0) {
            $actionJS = "ajaxPopup('{$pathAjaxPopup}', '{$popupTitle}', '', '')";
        } else {
            $actionJS = "exportDoc('{$pathAjaxPopup}', '{$linkPopupInformation}')";
        }
        
        return [
            'libelle' => $trad->t('Générer la grille consolidée des CA'),
            'lien' => '',
            'lienJs' => $actionJS,
        ];
    }
}
